QGIS Application - Feature request #21083
GeoPackage Raster WEBP support
2019-01-24 09:28 AM - Michael Gieding

Status: Closed

Priority: Low

Assignee:

Category: Windows Package

Pull Request or Patch supplied: Resolution: up/downstream
Easy fix?: No Copied to github as #: 28901
Description

| created a GeoPackage with rasterfiles using gdal_translate on Linux. As imageformat | chose WEBP.

While in QGIS on Linux | had no issues, | could open the GeoPackage on a Windows-system with QGIS 3.4.4.,
but there was no data displayed. Using gdalinfo from that QGIS-installation | got the output, that

WEBP isn't supported.

As | think, it's a thing how gdal is compiled, my question is if it would be possible to add that in a

future version. Or are there maybe licensing/technical reasons not to do so?

Thanks in advance,

Michael

History

#1 - 2019-01-24 09:51 AM - Alessandro Pasotti
- Status changed from Open to Feedback
- Category changed from GDAL Tools to Windows Package

Is this a QGIS issue? It looks more like an upstream one, btw, I'm changing category to Windows packaging.

#2 - 2019-01-24 01:31 PM - Jiirgen Fischer
- Resolution set to up/downstream

- Status changed from Feedback to Closed

OSGeo4W !#591

#3 - 2019-01-26 09:22 PM - Jiirgen Fischer

Jurgen Fischer wrote:

OSGeo4W 1#591

WEBP support added to OSGeo4W's GDAL.

#4 - 2019-01-26 11:55 PM - Michael Gieding
https://trac.osgeo.org/osgeo4w/ticket/591
https://trac.osgeo.org/osgeo4w/ticket/591

Great news.

Many thanks!!

Michael
